## org.gnu.gdk
Class PixbufFormat

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.PixbufFormat

public class PixbufFormat
extends Boxed

Contains information about an image format of a Pixbuf.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Method Summary
`protected static java.lang.String` `gdk_pixbuf_format_get_description(Handle format)`
`protected static java.lang.String[]` `gdk_pixbuf_format_get_extensions(Handle format)`
`protected static java.lang.String` `gdk_pixbuf_format_get_license(Handle format)`
`protected static java.lang.String[]` `gdk_pixbuf_format_get_mime_types(Handle format)`
`protected static java.lang.String` `gdk_pixbuf_format_get_name(Handle format)`
`protected static boolean` `gdk_pixbuf_format_is_disabled(Handle format)`
`protected static boolean` `gdk_pixbuf_format_is_scalable(Handle format)`
`protected static boolean` `gdk_pixbuf_format_is_writable(Handle format)`
`protected static void` `gdk_pixbuf_format_set_disabled(Handle format, boolean disabled)`
`java.lang.String` `getDescription()`
`java.lang.String[]` `getExtensions()`
`java.lang.String` `getLicense()`
`java.lang.String[]` `getMimeTypes()`
`java.lang.String` `getName()`
`boolean` `isDisabled()`
`boolean` `isScalable()`
`boolean` `isWritable()`
`void` `setDisabled(boolean disabled)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### getMimeTypes

    public java.lang.String[] getMimeTypes()

### getExtensions

    public java.lang.String[] getExtensions()

### isWritable

    public boolean isWritable()

### isScalable

    public boolean isScalable()

### isDisabled

    public boolean isDisabled()

### setDisabled

    public void setDisabled(boolean disabled)

### getLicense

    public java.lang.String getLicense()

### gdk_pixbuf_format_get_name

    protected static final java.lang.String gdk_pixbuf_format_get_name(Handle format)

### gdk_pixbuf_format_get_description

    protected static final java.lang.String gdk_pixbuf_format_get_description(Handle format)

### gdk_pixbuf_format_get_mime_types

    protected static final java.lang.String[] gdk_pixbuf_format_get_mime_types(Handle format)

### gdk_pixbuf_format_get_extensions

    protected static final java.lang.String[] gdk_pixbuf_format_get_extensions(Handle format)

### gdk_pixbuf_format_is_writable

    protected static final boolean gdk_pixbuf_format_is_writable(Handle format)

### gdk_pixbuf_format_is_scalable

    protected static final boolean gdk_pixbuf_format_is_scalable(Handle format)

### gdk_pixbuf_format_is_disabled

    protected static final boolean gdk_pixbuf_format_is_disabled(Handle format)

### gdk_pixbuf_format_set_disabled

    protected static final void gdk_pixbuf_format_set_disabled(Handle format,
                                                               boolean disabled)

### gdk_pixbuf_format_get_license

    protected static final java.lang.String gdk_pixbuf_format_get_license(Handle format)